> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Borrower

> POST /borrowers

`POST /borrowers`

Base URL: `https://los.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/los.json POST /borrowers`


## OpenAPI

````yaml /openapi/los.json POST /borrowers
openapi: 3.0.3
info:
  title: Universal LOS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://los.universal.rollout.com/api
security: []
paths:
  /borrowers:
    post:
      tags:
        - Borrowers
      summary: Create Borrower
      operationId: post_borrowers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                name:
                  type: string
                type:
                  type: string
                phones:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                addresses:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                      country:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                      - country
                taxId:
                  type: string
                loanId:
                  type: string
                role:
                  type: string
              required:
                - emails
                - name
                - type
                - phones
                - addresses
                - taxId
                - loanId
          multipart/form-data:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                name:
                  type: string
                type:
                  type: string
                phones:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                addresses:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                      country:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                      - country
                taxId:
                  type: string
                loanId:
                  type: string
                role:
                  type: string
              required:
                - emails
                - name
                - type
                - phones
                - addresses
                - taxId
                - loanId
          text/plain:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                name:
                  type: string
                type:
                  type: string
                phones:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      isPrimary:
                        anyOf:
                          - type: boolean
                        nullable: true
                    required:
                      - value
                      - type
                      - status
                      - isPrimary
                addresses:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                      street:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      code:
                        type: string
                      country:
                        type: string
                    required:
                      - type
                      - street
                      - city
                      - state
                      - code
                      - country
                taxId:
                  type: string
                loanId:
                  type: string
                role:
                  type: string
              required:
                - emails
                - name
                - type
                - phones
                - addresses
                - taxId
                - loanId
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````